arrange_all {dplyr} | R Documentation

## Arrange rows by a selection of variables

### Description

These scoped variants of `arrange()` sort a data frame by a selection of variables. Like `arrange()`, you can modify the variables before ordering with the `.funs` argument.

### Usage

    arrange_all(.tbl, .funs = list(), ..., .by_group = FALSE)

    arrange_at(.tbl, .vars, .funs = list(), ..., .by_group = FALSE)

    arrange_if(.tbl, .predicate, .funs = list(), ..., .by_group = FALSE)

### Arguments

`.tbl` | A `tbl` object.
`.funs` | A function `fun`, a quosure style lambda `~ fun(.)` or a list of either form.
`...` | Additional arguments for the function calls in `.funs`. These are evaluated only once, with tidy dots support.
`.by_group` | If `TRUE`, will sort first by grouping variable. Applies to grouped data frames only.
`.vars` | A list of columns generated by `vars()`, a character vector of column names, a numeric vector of column positions, or `NULL`.
`.predicate` | A predicate function to be applied to the columns or a logical vector. The variables for which `.predicate` is or returns `TRUE` are selected. This argument is passed to `rlang::as_function()` and thus supports quosure-style lambda functions and strings representing function names.

### Grouping variables

The grouping variables that are part of the selection participate in the sorting of the data frame.

### Examples

    df <- as_tibble(mtcars)
    df
    arrange_all(df)

    # You can supply a function that will be applied before taking the
    # ordering of the variables. The variables of the sorted tibble
    # keep their original values.
    arrange_all(df, desc)
    arrange_all(df, list(~desc(.)))

[Package dplyr version 0.8.0.1 Index]